package com.zcloud.safetyDutyList.persistence.mapper.tasklist;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcloud.safetyDutyList.persistence.dataobject.tasklist.TaskExecutionDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TaskExecutionMapper extends BaseMapper<TaskExecutionDO> {

    IPage<TaskExecutionDO> listPage(IPage<TaskExecutionDO> iPage, Map<String, Object> params);

    TaskExecutionDO getByTaskExecutionId(String taskExecutionId);

    List<TaskExecutionDO> listByTaskIssueId(String taskIssueId);

    List<TaskExecutionDO> listByTaskListId(String taskListId);

    List<TaskExecutionDO> listByTaskDetailId(String taskDetailId);
}
